aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorFrancesco Colista <fcolista@alpinelinux.org>2020-12-18 08:00:34 +0000
committerFrancesco Colista <fcolista@alpinelinux.org>2020-12-18 13:44:11 +0000
commite606eb0e9e0a9a639f15f284d96548926bc57e6b (patch)
treec2709a8c5def01727d05dad07b7a67c8602ef685
parentdcbc8533588a543141272ddb21b4f65ffbd01449 (diff)
downloadaports-e606eb0e9e0a9a639f15f284d96548926bc57e6b.tar.gz
aports-e606eb0e9e0a9a639f15f284d96548926bc57e6b.tar.bz2
aports-e606eb0e9e0a9a639f15f284d96548926bc57e6b.tar.xz
community/vpcs: upgrade to 0.8.1
-rw-r--r--community/vpcs/APKBUILD22
-rw-r--r--community/vpcs/musl-fixes.patch12
-rw-r--r--community/vpcs/vpcs_alpine_aarch64.patch38
3 files changed, 20 insertions, 52 deletions
diff --git a/community/vpcs/APKBUILD b/community/vpcs/APKBUILD
index 1d71598e8e..e1d7dd8b75 100644
--- a/community/vpcs/APKBUILD
+++ b/community/vpcs/APKBUILD
@@ -1,34 +1,30 @@
# Contributor: Francesco Colista <fcolista@alpinelinux.org>
# Maintainer: Francesco Colista <fcolista@alpinelinux.org>
pkgname=vpcs
-pkgver=0.8
-pkgrel=1
+pkgver=0.8.1
+pkgrel=0
pkgdesc="Simple virtual PC simulator"
url="https://sourceforge.net/projects/vpcs/"
arch="aarch64 x86 x86_64"
license="BSD-2-Clause"
makedepends="linux-headers bsd-compat-headers"
-source="https://github.com/GNS3/${pkgname}/archive/v${pkgver}beta1.tar.gz
+source="$pkgname-$pkgver.tar.gz::https://github.com/GNS3/${pkgname}/archive/v${pkgver}.tar.gz
musl-fixes.patch
vpcs_alpine_aarch64.patch"
-builddir="$srcdir"/$pkgname-${pkgver}beta1/src
build() {
- cd "$builddir"
- ./mk.sh $(getconf LONG_BIT)
+ cd src && ./mk.sh $(getconf LONG_BIT)
}
check() {
- cd "$builddir"
- ./vpcs -v || test $? = 2
+ cd src && ./vpcs -v || test $? = 2
}
package() {
- cd "$builddir"
mkdir -p "$pkgdir/usr/bin"
- install -Dm755 ${pkgname} ${pkgdir}/usr/bin/${pkgname}
+ install -Dm755 src/${pkgname} ${pkgdir}/usr/bin/${pkgname}
}
-sha512sums="9d090613c3d59c9952d89739eb4fbdcf67f45f26e19e2999d94f82b5f026cc263265f33eea7db56d6fae8c59d4b954ee184d4bfe80d7dd22ae08c5d6f9090486 v0.8beta1.tar.gz
-b0ffc373e436e93a959b3d0ce30de9415cad1e761aae27444d1c99ac585cab9676d939143248d55334e1e0cefcbfa2ae75943fd74eec2221d7292f349aa334c7 musl-fixes.patch
-a4b35efb5f9ab1ff3c34e0dbb38b42e78222c695310b08e9019959adead3a2bf439b955e9c636648418310065fa866d49649ee2da204c5e66e87cdcf6a50d9c7 vpcs_alpine_aarch64.patch"
+sha512sums="ebc5b2be524eaab36ebc09d6d75b9b80c7bdc3c1f8e151df816ce9e547ff6da26633ebfc16d7105898063c951dba8447f70ff8868b3af8aba1450dd63b81a39f vpcs-0.8.1.tar.gz
+fd3c6bebab8214c378344f05cb30fcb6978809b23ea5ea2abcfd5b956c6a9200f52ffe579d2b12b6d77e4b94b086dad901959d0663adaa25061b1edb254191af musl-fixes.patch
+5f4333b402032686764ada43db8e8be609b1cbcddcc5204e2cc65ef939550f727e4fa53c012714eccbb873a12c26e77b02036c65fbbd489a198f881eb8ed24ac vpcs_alpine_aarch64.patch"
diff --git a/community/vpcs/musl-fixes.patch b/community/vpcs/musl-fixes.patch
index d0b5c80dc5..167b859f81 100644
--- a/community/vpcs/musl-fixes.patch
+++ b/community/vpcs/musl-fixes.patch
@@ -1,7 +1,7 @@
-diff --git src/remote.c src/remote.c
+diff --git a/src/remote.c b/src/remote.c
index ba971fb..56a19de 100644
---- src/remote.c
-+++ src/remote.c
+--- a/src/remote.c
++++ b/src/remote.c
@@ -34,6 +34,8 @@
#include <sys/ioctl.h>
#include <sys/socket.h>
@@ -12,10 +12,10 @@ index ba971fb..56a19de 100644
#include <net/if.h>
-diff --git src/hv.c src/hv.c
+diff --git a/src/hv.c b/src/hv.c
index bea2636..bf5cc07 100644
---- src/hv.c
-+++ src/hv.c
+--- a/src/hv.c
++++ b/src/hv.c
@@ -42,7 +42,6 @@
#include <fcntl.h>
diff --git a/community/vpcs/vpcs_alpine_aarch64.patch b/community/vpcs/vpcs_alpine_aarch64.patch
index 43b1cc3a01..463d11c4ca 100644
--- a/community/vpcs/vpcs_alpine_aarch64.patch
+++ b/community/vpcs/vpcs_alpine_aarch64.patch
@@ -1,36 +1,8 @@
-diff -ur a/Makefile.linux b/Makefile.linux
---- a/Makefile.linux 2015-09-07 08:20:02.000000000 +0000
-+++ b/Makefile.linux 2020-02-17 06:48:46.000000000 +0000
-@@ -1,7 +1,7 @@
- RM=rm -f
- CC=gcc $(CCOPT)
- OSTYPE=Linux
--CPUTYPE=i386
-+CPUTYPE=$(shell uname -m)
- HVOPT=-DHV
-
- CFLAGS=-D$(OSTYPE) -D$(CPUTYPE) $(HVOPT) -Wall -I. -DTAP
-diff -ur a/mk.sh b/mk.sh
---- a/mk.sh 2015-09-07 08:20:02.000000000 +0000
-+++ b/mk.sh 2020-02-17 10:35:17.030545910 +0000
-@@ -59,7 +59,12 @@
- fi
-
- if [ $arch = "amd64" -o $arch = "x86_64" -o $arch = "64" ]; then
-- CCOPT=$CCOPT" -m64"
-+ archtype=$(uname -m)
-+ if [ $archtype = "aarch64" ]; then
-+ CCOPT=$CCOPT""
-+ else
-+ CCOPT=$CCOPT" -m64"
-+ fi
- fi
-
- if [ $os = "Darwin" ]; then
-diff -ur a/readline.c b/readline.c
---- a/readline.c 2015-09-07 08:20:02.000000000 +0000
-+++ b/readline.c 2020-02-17 06:50:14.000000000 +0000
-@@ -150,7 +150,7 @@
+diff --git a/src/readline.c b/src/readline.c
+index 1bb22be..0968ce0 100644
+--- a/src/readline.c
++++ b/src/readline.c
+@@ -150,7 +150,7 @@ struct rls * readline_init(int histnum, int buflen)
memset(p, 0, (histnum + 2) * buflen);
rls->kbuffer = p;